Packages - Bug #943

[asterisk] linked to an old library and needs to be recompiled.
2016-02-22 09:13 PM - GNUtoo

Status: fixed % Done: 0%
Priority: bug

Assignee: encyclomundi

Category:

Description

1. systemctl start asterisk
Asterisk is linked against libncursesw.s0.5

1. journalctl -u asterisk
[...]
Feb 22 22:13:46 E350M1 systemd': Started Asterisk PBX and telephony daemon.
Feb 22 22:13:46 E350M1 asterisk®*?%: /ust/bin/asterisk: error while loading shared libraries: libncursesw.so.5: cannot open
shared object file: No such file or directory
Feb 22 22:13:46 E350M1 systemd": asterisk.service: Main process exited, code=exited, status=127/n/a

But parabola has libncursesw.s0.6.0:

1. pacman -Q -o /ust/lib/libncursesw*
/ust/lib/libncursesw.so is owned by ncurses 6.0-4
/ust/lib/libncursesw.so.6 is owned by ncurses 6.0-4
/ustr/lib/libncursesw.s0.6.0 is owned by ncurses 6.0-4

History

#1 - 2016-02-24 10:11 PM - Anonymous

- Assignee set to Anonymous

#2 - 2016-02-24 10:18 PM - Anonymous

- Subject changed from Asterisk is linked to an old library and needs to be recompiled. to [asterisk] linked to an old library and needs to be recompiled.

#3 - 2016-02-26 09:57 PM - Anonymous

- Assignee changed from Anonymous to encyclomundi

#4 - 2016-05-15 12:12 AM - ovruni

- Status changed from open to fixed
